IPTRAF(8)

NAZWA
iptraf - interaktywny (kolorowy) monitor IP LAN

SKŁADNIA
iptraf { [ -f ] [ -q ] [ -u ] [ { -i interfejs | -g | -d interfejs | -s interfejs | -z interfejs | -l interfejs } [ -t timeout ] [ -B [ -L plik_logu ] ] ] | [ -h ] }

OPIS
iptraf jest bazującym na bibliotece ncurses monitorem pakietów IP w sieci lokalnej generującym różnorodne statystyki sieciowe zawierające: informacje o pakietach TCP, zliczenia UDP, ICMP i OSPF, informacje o wykorzystaniu Ethetnetu, stany węzłów, błędy sum kontrolnych IP i inne.

Jeżeli iptraf jest uruchomiony bez opcji, przechodzi do trybu interaktywnego z menu głównym.

OPCJE
Poniższe opcje mogą być dodane w linii komend:

-i interfejs
    uruchamia monitor ruchu IP na podanym interfejsie sieciowym lub na wszystkich interfejsach, jeśli użyto "-i all".

-g  uruchamia się bezpośrednio jako monitor statystyk interfejsów sieciowych (general interface statistics)

-d interfejs
    uruchamia się bezpośrednio jako szczegółowy monitor dla konkretnego interfejs-u

-s interfejs
    uruchamia się bezpośrednio jako monitor pakietów TCP i UDP dla konkretnego interfejs-u

-z interfejs
    pokazuje licznik pakietów względem ich rozmiarów na podanym interfejsie

-l interfejs
    uruchamia monitor stacji LAN na podanym interfejsie sieciowym lub na wszystkich interfejsach LAN, jeśli użyto "-l all".

-t timeout
    ustawia timeout dla danej usługi (konkretnego monitora) w minutach. (Ta opcja jest używana tylko z opcjami znajdującymi się powyżej).

-B  przekierowuje standardowe wyjście do /dev/null, zamyka standardowe wejście i uruchamia się w tle. Może być używane tylko z jednym z opisanych powyżej parametrów. Aby zakończyć uruchomiony w tle proces, należy mu wysłać sygnał USR2.

-L plik_logu
    pozwala na podanie alternatywnej nazwy pliku dziennika. Domyślna nazwa pliku dziennika jest oparta albo na wybranym interfejsie (szczegółowe statystyki interfejsu, statystyki usług TCP/UDP, rozmiary pakietów) albo na instancji wybranej funkcji (monitor ruchu IP, monitor stacji LAN). Jeśli ścieżka nie jest podana, to plik dziennika jest umieszczany w /var/log/iptraf.

-f  czyści wszystkie blokady i liczniki, powodując, że instancja IPTrafa myśli, że jest pierwszą działającą. Opcja powinna być używana po nienormalnym zakończeniu programu lub załamaniu się systemu.

-u  pozwala na użycie niewspieranych interfejsów takich jak urządzenia ethernetowe. Jest to potrzebne, jeśli została zmieniona nazwa interfejsu (np. ip link set eth0 name foo0).

-q  nie jest już potrzebna, jest utrzymywana tylko w celu wstecznej kompatybilności.

-h  pokazuje skrócony opis opcji

SYGNAŁY
 SIGUSR1 - wymusza rotację plików dziennika podczas działania programu.
 SIGUSR2 - kończy proces IPTraf działający w tle.

PLIKI
 /var/log/iptraf/*.log - plik dziennika
 /var/lib/iptraf/* - ważne pliki danych programu IPTraf

ZOBACZ TAKŻE
Documentation/* - pełna dokumentacja napisana przez autora

AUTOR
Gerard Paul Java (riker@mozcom.com)

AUTOR PODRĘCZNIKA
Frederic Peters (fpeters@debian.org), używając komenedy iptraf -h. Ogólne modyfikacje w tym dokumencie wykonał Gerard Paul Java (riker@mozcom.com).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Radek Marcinkowski (PTM) <radek@cbk.waw.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 3.0.0 oryginału.